Subject: Re: [PATCH v2] scripts: get_maintainer: steer people away from using file paths

From: Jakub Kicinski <[email-masked]>
Date: Wed, 26 Jul 2023 13:03:18 -0700

On Wed, 26 Jul 2023 12:37:14 -0700 Linus Torvalds wrote:
> The very first case I actually looked at wasn't even some
> "inexperienced developer" - the kind you claim is the problem, and the
> kind you claim this would help.
> 
> It was a random fix from Florian Westphal, who has been around for
> more than a decade, is credited with over 1500 commits (and mentioned
> in many many more), and knows what he's doing.
> 
> He has a patch that references a "Fixes:" line, and clearly didn't go
> through the get_maintainer script as such, and the
> netdev/cc_maintainers script complains as a result.

Florian is sending us patches from his tree which have already been
reviewed on the netfilter mailing list. It's basically a PR.
There's a handful of people who do that and I don't care enough to
silence it because ignoring the false positives is a noop.

When some noob sends a patch which actually *should* have been CCed
to more people I need to either go and CC that person in myself.
Or tell the noob to repost.

IOW solving the _actually_ missing CCs is higher priority for me.

> So Jakub, I think you are barking *entirely* up the wrong tree.
> 
> The reason you blame this on mis-use by inexperienced maintainers is
> that you probably never even react to the experienced ones that do the
> very same things, because you trust them and never bother to tell them
> "you didn't use get_maintainers to get the precise list of people that
> patchwork complains about".
> 
> So the problem is not in get_maintainers. It's in having expectations
> that are simply not realistic.
> 
> You seem to think that those inexperienced developers should do something that
> 
>  (a) experienced developers don't do *EITHER*
> 
>  (b) the scripts complain about instead of just doing
> 
> and then you think that changing get_maintainers would somehow hide the issue.
> 
> You definitely shouldn't require inexperienced developers to do
> something that clearly experienced people then don't do.
> 
> Now, maybe I happened to just randomly pick a patchwork entry that was
> very unusual. But I doubt it.